> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Payout Beneficiary

> Inititate a Payout to Beneficiary



## OpenAPI

````yaml /openapi/payouts.json post /transfer/payout-beneficiary
openapi: 3.0.2
info:
  title: Flick Payouts API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Pay Out
    description: Inititating and Verifing of Transfer
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /transfer/payout-beneficiary:
    post:
      tags:
        - ''
      summary: Payout Beneficiary
      description: Inititate a Payout to Beneficiary
      operationId: ' Creating A Payout to Beneficiary'
      requestBody:
        description: Payout beneficiary
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayoutBeneficiary'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayoutBeneficiaryResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    PayoutBeneficiary:
      required:
        - amount
        - narration
        - currency
        - beneficiary_id
        - beneficiary_name
        - debit_currency
      type: object
      properties:
        amount:
          type: string
          example: '4000'
        narration:
          type: string
          example: payout to friend
        currency:
          type: string
          example: NGN
        beneficiary_id:
          type: string
          example: shape
        beneficiary_name:
          type: string
          example: Kingsley
        debit_currency:
          type: string
          example: NGN
        is_off_ramp:
          type: boolean
          example: true
        reference:
          type: string
          example: aFpjiyuu_657878
    PayoutBeneficiaryResponse:
      type: object
      properties:
        status:
          type: integer
          example: 200
        message:
          type: string
          example: Payout queued successfully
        meta:
          type: object
          properties:
            Id:
              type: string
              example: TT-kkboema
            debit_currency:
              type: string
              example: GBP
            amount:
              type: string
              example: '1000'
            credit_currency:
              type: string
              example: GBP
            fee_charged:
              type: integer
              example: 250
            total_amount:
              type: integer
              example: 1250
            dated:
              type: string
              example: '2025-03-07T19:08:24.043Z'
            beneficiary_id:
              type: string
              example: dier-rewi-0
            bank_name:
              type: string
              example: wise
            account_no:
              type: string
              example: '21194210'
            sort_code:
              type: string
              example: 23-08-01
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.